<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.AssetsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="assetsResultMap" type="org.springblade.estate.entity.Assets">
        <result column="id" property="id"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="update_user" property="updateUser"/>
        <result column="create_user" property="createUser"/>
        <result column="status" property="status"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="create_dept" property="createDept"/>
        <result column="assets_no" property="assetsNo"/>
        <result column="assets_name" property="assetsName"/>
        <result column="assets_value" property="assetsValue"/>
        <result column="assets_category" property="assetsCategory"/>
        <result column="assets_img" property="assetsImg"/>
        <result column="assets_desc" property="assetsDesc"/>
        <result column="assets_record_time" property="assetsRecordTime"/>
    </resultMap>


    <select id="selectAssetsPage" resultMap="assetsResultMap">
        select * from estate_assets where is_deleted = 0
    </select>

</mapper>
